﻿Copyright (c) (2014) Fluke Corporation.                  All rights reserved.
=============================================================================
INSTRUMENT:            Sub Tek TPS2000 (1 yr) DCV Gain RS-232 /9500
INSTRUMENT:            Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /9500
INSTRUMENT:            Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /9500
INSTRUMENT:            Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /9500
INSTRUMENT:            Sub Tek TPS2000 (1 yr) Sample Rate RS-232 /9500
DATE:                  2014-03-13 15:04:17
AUTHOR:                Fluke
REVISION:              $Revision: 7612 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       26
NUMBER OF LINES:       504
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        VY, GMO
#
#  Model(s) Covered:
#        TPS 2012, TPS 2014, TPS 2024, TPS 2012B, TPS 2014B, TPS 2024B
#
#  Compatibility:
#        MET/CAL version 8.1.4 or later
#
#  Additional Equipment Required:
#        Power Splitter, 1 kHz to 500 MHz, 6 dB insertion loss,
#        output tracking: <0.25 dB, equivalent output
#        SWR: <1.22, HP/Agilent 11667A or equivalent
#        N(f) all ports
#        N(m) to BNC(f) adapter, 3 sets
#        50 Ω feed through terminator, 2 sets
#        50 Ω BNC(m)-(m) cable, 10 inch long, 2 sets
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  CALL         Sub Tek TPS2000 Cal Initialize RS-232

  1.002  JMPL         DCV_GAIN                     PSUBI("DCV Gain")
  1.003  JMPL         DCV_MEAS                     PSUBI("DCV Meas")
  1.004  JMPL         BANDWIDTH                    PSUBI("Bandwidth")
  1.005  JMPL         TRIGGER                      PSUBI(" Trig Sens")
  1.006  JMPL         SAMPLE_RATE                  PSUBI("Sample Rate")
  1.007  DISP         {Undefined subprocedure!}
  1.008  END

  1.009  EVAL   Increment test number

# =====  Sub Tek TPS2000 (1 yr) DCV Gain RS-232 /9500  =======================

  2.001  LABEL        DCV_GAIN

  2.002  IF           @Chan == 1
  2.003  RSLT         =
  2.004  RSLT         =DC VOLTAGE GAIN ACCURACY
  2.005  ENDIF

  2.006  RSLT         =
  2.007  HEAD         {Channel [V @Chan]} DC VOLTAGE GAIN ACCURACY
  2.008  HEAD         -2 5 mV/div
  2.009  TARGET       -p
  2.010  TSET         TDESC = 5 mV/div
  2.011  CALL         Sub Scope Connection /9500+1Hd,3Hd,5Hd
  2.012  PORT         CH[V @Chan]:PRO 1;SCA 5E-3
  2.013  PORT         ACQ:MOD AVE;NUMAV 16
  2.014  PORT         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP MEAN
  2.015  TARGET       -m
  2.016  9500         17.5mV                                            S
# Retrieve the accuracy of positive output of calibrator.
  2.017  MATH         PosAcc = REFACC()
  2.018  WAIT         -t 7 Settling...
  2.019  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  2.020  MATH         PosValue = MEM / 1E-3
  2.021  9500         -17.5mV                                           S
# Retrieve the accuracy of negative output of calibrator.
  2.022  MATH         NegAcc = REFACC()
  2.023  WAIT         -t 7 Settling...
  2.024  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  2.025  MATH         NegValue = MEM / 1E-3
# RSS uncertainty components and expand to 95% confidence level.
  2.026  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF("Datron 9500") * 2
# Setup system accuracy.
  2.027  MATH         L[1] = L[1] / 1E-3
  2.028  ACC          35.0mV         L1U
  2.029  MATH         MEM = PosValue - NegValue
  2.030  MEMCX        35.0mV         1.4U

  3.001  HEAD         -2 200 mV/div
  3.002  TSET         TDESC = 200 mV/div
  3.003  PORT         CH[V @Chan]:SCA 200E-3
  3.004  TARGET       -m
  3.005  9500         700mV                                             S
  3.006  MATH         PosAcc = REFACC()
  3.007  WAIT         -t 7 Settling...
  3.008  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  3.009  MATH         PosValue = MEM / 1E-3
  3.010  9500         -700mV                                            S
  3.011  MATH         NegAcc = REFACC()
  3.012  WAIT         -t 7 Settling...
  3.013  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  3.014  MATH         NegValue = MEM / 1E-3
  3.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF("Datron 9500") * 2
  3.016  MATH         L[1] = L[1] / 1E-3
  3.017  ACC          1400mV         L1U
  3.018  MATH         MEM = PosValue - NegValue
  3.019  MEMCX        mV             42U

  4.001  HEAD         -2 2 V/div
  4.002  TSET         TDESC = 2 V/div
  4.003  PORT         CH[V @Chan]:SCA 2
  4.004  TARGET       -m
  4.005  9500         7.00V                                             S
  4.006  MATH         PosAcc = REFACC()
  4.007  WAIT         -t 7 Settling...
  4.008  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  4.009  MATH         PosValue = MEM
  4.010  9500         -7.00V                                            S
  4.011  MATH         NegAcc = REFACC()
  4.012  WAIT         -t 7 Settling...
  4.013  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  4.014  MATH         NegValue = MEM
  4.015  MATH         L[1] = RSS2(PosAcc, NegAcc) / CONF("Datron 9500") * 2
  4.016  ACC          14.00V         L1U
  4.017  MATH         MEM = PosValue - NegValue
  4.018  MEMCX        V              0.42U

  5.001  9500         *                                                 S
  5.002  HEAD         -2
  5.003  END

  5.004  EVAL   Increment test number

# =====  Sub Tek TPS2000 (1 yr) DCV Meas RS-232 /9500  =======================

  6.001  LABEL        DCV_MEAS

  6.002  IF           @Chan == 1
  6.003  RSLT         =
  6.004  RSLT         =DC VOLTAGE MEASUREMENT ACCURACY
  6.005  ENDIF

  6.006  RSLT         =
  6.007  HEAD         {Channel [V @Chan]} DC VOLTAGE MEASUREMENT ACCURACY
  6.008  HEAD         -2 {5 mV/div}
  6.009  TARGET       -p
  6.010  TSET         TDESC = Vertical Position 0
  6.011  PORT         CH[V @Chan]:PRO 1;SCA 5E-3
  6.012  PORT         CH[V @Chan]:POS 0E0
  6.013  PORT         ACQ:MOD AVE;NUMAV 16
  6.014  PORT         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP MEAN
  6.015  9500         17.5mV                                            S
  6.016  WAIT         -t 7 Settling...
  6.017  TARGET       -m
  6.018  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  6.019  MATH         MEM = MEM / 1E-3
  6.020  MEMCX        17.5mV         2.0U

  7.001  TSET         TDESC = Vertical Position 0
  7.002  9500         -17.5mV                                           S
  7.003  WAIT         -t 7 Settling...
  7.004  TARGET       -m
  7.005  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  7.006  MATH         MEM = MEM / 1E-3
  7.007  MEMCX        -17.5mV        2.0U

  8.001  TSET         TDESC = Vertical Position -17.6 mV
  8.002  PORT         CH[V @Chan]:POS -3.52E0
  8.003  9500         35.0mV                                            S
  8.004  WAIT         -t 7 Settling...
  8.005  TARGET       -m
  8.006  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  8.007  MATH         MEM = MEM / 1E-3
  8.008  MEMCX        35.0mV         3.6U

  9.001  TSET         TDESC = Vertical Position +17.6 mV
  9.002  PORT         CH[V @Chan]:POS 3.52E0
  9.003  9500         -35.0mV                                           S
  9.004  WAIT         -t 7 Settling...
  9.005  TARGET       -m
  9.006  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
  9.007  MATH         MEM = MEM / 1E-3
  9.008  MEMCX        -35.0mV        3.6U

 10.001  HEAD         -2 {200 mV/div}
 10.002  TARGET       -p
 10.003  TSET         TDESC = Vertical Position 0
 10.004  PORT         CH[V @Chan]:SCA 200E-3
 10.005  PORT         CH[V @Chan]:POS 0E0
 10.006  9500         700mV                                             S
 10.007  WAIT         -t 7 Settling...
 10.008  TARGET       -m
 10.009  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
 10.010  MATH         MEM = MEM / 1E-3
 10.011  MEMCX        700mV          42U

 11.001  TSET         TDESC = Vertical Position 0
 11.002  9500         -700mV                                            S
 11.003  WAIT         -t 7 Settling...
 11.004  TARGET       -m
 11.005  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
 11.006  MATH         MEM = MEM / 1E-3
 11.007  MEMCX        -700mV         42U

 12.001  TSET         TDESC = Vertical Position -704 mV
 12.002  PORT         CH[V @Chan]:POS -3.52E0
 12.003  9500         1.40V                                             S
 12.004  WAIT         -t 7 Settling...
 12.005  TARGET       -m
 12.006  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
 12.007  MEMCX        1.40V          0.06U

 13.001  TSET         TDESC = Vertical Position 704 mV
 13.002  PORT         CH[V @Chan]:POS 3.52E0
 13.003  9500         -1.40V                                            S
 13.004  WAIT         -t 7 Settling...
 13.005  TARGET       -m
 13.006  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
 13.007  MEMCX        -1.40V         0.06U

 14.001  HEAD         -2 {2 V/div}
 14.002  TARGET       -p
 14.003  TSET         TDESC = Vertical Position 0
 14.004  PORT         CH[V @Chan]:SCA 2
 14.005  PORT         CH[V @Chan]:POS 0E0
 14.006  9500         7.00V                                             S
 14.007  WAIT         -t 7 Settling...
 14.008  TARGET       -m
 14.009  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
 14.010  MEMCX        7.00V          0.41U

 15.001  TSET         TDESC = Vertical Position 0
 15.002  9500         -7.00V                                            S
 15.003  WAIT         -t 7 Settling...
 15.004  TARGET       -m
 15.005  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
 15.006  MEMCX        -7.00V         0.41U

 16.001  TSET         TDESC = Vertical Position -7.04 V
 16.002  PORT         CH[V @Chan]:POS -3.52E0
 16.003  9500         14.0V                                             S
 16.004  WAIT         -t 7 Settling...
 16.005  TARGET       -m
 16.006  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
 16.007  MEMCX        14.0V          0.7U

 17.001  TSET         TDESC = Vertical Position  7.04 V
 17.002  PORT         CH[V @Chan]:POS 3.52E0
 17.003  9500         -14.0V                                            S
 17.004  WAIT         -t 7 Settling...
 17.005  TARGET       -m
 17.006  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
 17.007  MEMCX        -14.0V         0.7U

 18.001  9500         *                                                 S

 18.002  HEAD         -2
 18.003  HEAD
 18.004  END

 18.005  EVAL   Increment test number

# =====  Sub Tek TPS2000 (1 yr) Bandwidth RS-232 /9500  ======================

 19.001  LABEL        BANDWIDTH

 19.002  IF           @Chan == 1
 19.003  RSLT         =
 19.004  RSLT         =BANDWIDTH
 19.005  RSLT         =Limit: >= 2.12 Vpp, Reference = 3 Vpp @ 50 kHz
 19.006  ENDIF

 19.007  RSLT         =
 19.008  RSLT         = Channel [V @Chan]
 19.009  HEAD         CH [V @Chan] BANDWIDTH
 19.010  HEAD         -2 500 mV/div
 19.011  TARGET
 19.012  PORT         CH[V @Chan]:PRO 1;SCA 500E-3
 19.013  PORT         ACQUIRE:MODE AVERAGE;NUMAVG 16;STATE ON
 19.014  PORT         TRIG:MAI:EDGE:SOU CH[V @Chan];COUP NOISE
 19.015  PORT         HOR:SCA 10E-6
 19.016  PORT         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2

# Set the output of the calibrator so the peak-to-peak measurement is
# between 2.98 V and 3.02 V.
 19.017  MATH         MEM = 3; MEM1 = MEM

 19.018  DO
 19.019  MATH         MEM = MEM1 + (3 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 19.020  IF           MEM > 5.56 || MEM < 0.00444
 19.021  MATH         MEM = 3
 19.022  ENDIF

 19.023  DO
 19.024  9500         Vpp                          50kH           LS    S
 19.025  PORT         [D1000]Trig:MAI:SETL
# Check the status of trigger
 19.026  PORT         [D500]TRIG:STATE?[I$]
 19.027  UNTIL        FINDI(MEM2, "TRIG", 1)

 19.028  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
 19.029  UNTIL        (MEM >= 2.98) && (MEM <= 3.02)

 19.030  PORT         HOR:SCA 10E-9
# Last calibrator amplitude setting is in MEM1.
 19.031  MATH         MEM = MEM1

 19.032  IF           ZCMPI (@Bandwidth,"100 MHz")
 19.033  9500         Vpp                          100MH          LS    S
 19.034  ELSEIF       ZCMPI (@Bandwidth,"200 MHz")
 19.035  9500         Vpp                          200MH          LS    S
 19.036  ENDIF

 19.037  WAIT         -t 5 System settling...
 19.038  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
 19.039  EVAL   -e (MEM >= 2.12) : [MEM] Vpp @ [V @Bandwidth], 500 mv/div

 20.001  9500         *                                                 S
 20.002  HEAD         -2
 20.003  END

 20.004  EVAL   Increment test number

# =====  Sub Tek TPS2000 (1 yr) Trig Sens RS-232 /9500  ======================

 21.001  LABEL        TRIGGER

 21.002  IF           @Chan == 1
 21.003  RSLT         =
 21.004  RSLT         =EDGE-TRIGGER SENSITIVITY
 21.005  ENDIF

 21.006  RSLT         =
 21.007  RSLT         = Channel [V @Chan]
 21.008  HEAD         CH [V @Chan] EDGE-TRIGGER SENSITIVITY
 21.009  TARGET
 21.010  PORT         CH[V @Chan]:PRO 1;SCA 500E-3
 21.011  PORT         HOR:SCA 25E-9
 21.012  PORT         ACQ:MOD SAMP;STATE ON
 21.013  PORT         TRIG:MAI:MOD NORM;EDGE:SOU CH[V @Chan]
 21.014  PORT         MEASU:MEAS[V @Chan]:SOU CH[V @Chan];TYP PK2

# Firstly set the output of the calibrator so the peak-to-peak measurement is
# approximately 1000 mV (twice of required test signal).
 21.015  MATH         MEM = 1000; MEM1 = MEM

 21.016  DO
 21.017  MATH         MEM = MEM1 + (1000 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 21.018  IF           MEM > 5560 || MEM < 4.44
 21.019  MATH         MEM = 1000
 21.020  ENDIF

 21.021  DO
 21.022  9500         mVpp                         10MH           LS    S
 21.023  PORT         [D1000]Trig:MAI:SETL
# Check the status of trigger
 21.024  PORT         [D500]TRIG:STATE?[I$]
 21.025  UNTIL        FINDI(MEM2, "TRIG", 1)

 21.026  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
 21.027  MATH         MEM = MEM / 1E-3
 21.028  UNTIL        (MEM >= 980) && (MEM <= 1020)

# Then attenuate the output of calibrator to half so the input of UUT is
# is approximately 500 mVpp that is just the required test signal for trig
# sensitivity (1 div at 10 MHz).
 21.029  MATH         MEM = MEM1 / 2
 21.030  9500         mVpp                         10MH           LS    S
 21.031  MATH         mVppStd = MEM1
 21.032  PORT         TRIG:MAI SETLEV
# Save the peak value of signal for later checking the trigger status.
 21.033  MATH         @PeakValue = mVppStd / 2 * 1E-3
 21.034  CALL         Sub Tek TPS2000 Trigger Chk and Level Adj RS-232
 21.035  MATH         ResultStr = " Rising Slope, 1 div at 10 MHz"
 21.036  EVAL   -e @Trigged : [V ResultStr]

 22.001  PORT         HOR:SCA 10E-9
# Firstly set the output of the calibrator so the peak-to-peak measurement is
# approximately 1500 mV (twice of required test signal).
 22.002  MATH         MEM = 1500; MEM1 = MEM

 22.003  DO
 22.004  MATH         MEM = MEM1 + (1500 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
 22.005  IF           MEM > 5560 || MEM < 4.44
 22.006  MATH         MEM = 1500
 22.007  ENDIF

 22.008  DO

 22.009  IF           ZCMPI (@Bandwidth,"100 MHz")
 22.010  9500         mVpp                         100MH          LS    S
 22.011  ELSEIF       ZCMPI (@Bandwidth,"200 MHz")
 22.012  9500         mVpp                         200MH          LS    S
 22.013  ENDIF

 22.014  PORT         [D1000]Trig:MAI:SETL
# Check the status of trigger
 22.015  PORT         [D500]TRIG:STATE?[I$]
 22.016  UNTIL        FINDI(MEM2, "TRIG", 1)

 22.017  PORT         MEASU:MEAS[V @Chan]:VAL?[I]
 22.018  MATH         MEM = MEM / 1E-3
 22.019  UNTIL        (MEM >= 1450) && (MEM <= 1550)

# Then attenuate the output of calibrator to half so the input of UUT is
# is approximately 750 mVpp that is just the required test signal for trig
# sensitivity (1.5 div at bandwidth frequency).
 22.020  MATH         MEM = MEM1 / 2

 22.021  IF           ZCMPI (@Bandwidth,"100 MHz")
 22.022  9500         mVpp                         100MH          LS    S
 22.023  MATH         TestFreq = "100 MHz"
 22.024  ELSEIF       ZCMPI (@Bandwidth,"200 MHz")
 22.025  9500         mVpp                         200MH          LS    S
 22.026  MATH         TestFreq = "200 MHz"
 22.027  ENDIF

# Save the output of calibrator.
 22.028  MATH         mVppStd = MEM1
 22.029  PORT         TRIG:MAI SETLEV
# Save the peak value of signal for later checking the trigger status.
 22.030  MATH         @PeakValue = mVppStd / 2 * 1E-3
 22.031  CALL         Sub Tek TPS2000 Trigger Chk and Level Adj RS-232
 22.032  MATH         ResultStr = " Rising Slope, 1.5 div at " & TestFreq
 22.033  EVAL   -e @Trigged : [V ResultStr]

 23.001  JMPL         FALL_EDGE_SENS

# This TARGET and JMPL are here so "Repeat" and "Cancel" will perform
# a new waveform acquisition.
 23.002  TARGET       -p
# Re-setup the calibrator output.
 23.003  MATH         MEM = mVppStd

 23.004  IF           ZCMPI (@Bandwidth,"100 MHz")
 23.005  9500         mVpp                         100MH          LS    S
 23.006  MATH         TestFreq = "100 MHz"
 23.007  ELSEIF       ZCMPI (@Bandwidth,"200 MHz")
 23.008  9500         mVpp                         200MH          LS    S
 23.009  MATH         TestFreq = "200 MHz"
 23.010  ENDIF

 23.011  LABEL        FALL_EDGE_SENS
 23.012  PORT         TRIG:MAI:EDGE:SLO FALL
 23.013  PORT         TRIG:MAI SETLEV
# Save the peak value of signal for later checking the trigger status.
 23.014  MATH         @PeakValue = mVppStd / 2 * 1E-3
 23.015  CALL         Sub Tek TPS2000 Trigger Chk and Level Adj RS-232
 23.016  MATH         ResultStr = " Falling Slope, 1.5 div at " & TestFreq
 23.017  EVAL   -e @Trigged : [V ResultStr]

 24.001  PORT         TRIG:MAI:EDGE:SLO RISE
 24.002  9500         *                                                 S
 24.003  END

 24.004  EVAL   Increment test number

# =====  Sub Tek TPS2000 (1 yr) Sample Rate RS-232 /9500  ====================

 25.001  LABEL        SAMPLE_RATE
 25.002  RSLT         =
 25.003  HEAD         SAMPLE RATE AND DELAY TIME ACCURACY
 25.004  TARGET
 25.005  PORT         CH[V @Chan]:PRO 1;SCA 500E-3
 25.006  PORT         HOR:SCA 1E-3
 25.007  9500         10mT                         1Vpp           M2    S
 25.008  WAIT         -t 3 System Settling ...
 25.009  PORT         TRIG:MAI SETLEV
 25.010  PORT         CH[V @Chan]:POS 0
 25.011  PORT         HOR:POS 10E-3
 25.012  PORT         HOR:SCA 250E-9
 25.013  MESS         Does the rising edge of the marker cross the center
 25.013  MESS         horizontal graticule line within ±2 divisions of
 25.013  MESS         center graticule?
 25.014  EVAL   -s "SAMPLE RATE AND DELAY TIME ACCURACY" :

 26.001  MESS
 26.002  9500         *                                                 S
 26.003  END
